<template>
    <app-layout :user="user">
        <div class="row justify-content-center">
            <div class="col">
                <h1 class="h2 mb-3">Votable Maps</h1>
                
                
                <table class="table table-hover">
                    <thead>
                        <tr class="table-dark">
                            <th scope="col">Image</th>
                            <th scope="col">Vote Name</th>
                            <th scope="col">Custom Name</th>
                            <th scope="col">Player Limits</th>
                            <th scope="col">Votable By</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="map in maps" :key="map.id">
                            <td class="align-middle">
                                <a v-if="map.image" :href="route('imagecache', ['original', map.image])" target="_blank">
                                    <img :src="route('imagecache', ['small', map.image])" class="img-fluid" />
                                </a>
                            </td>
                            <td class="align-middle">
                                <inertia-link v-if="user" :href="route('server.maps.get', map)" class="text-decoration-none d-block">
                                    {{ map.name }}
                                </inertia-link>
                                <template v-else>{{ map.name }}</template>
                            </td>
                            <td class="align-middle">{{ map.custom_name }}</td>
                            <td class="align-middle">
                                <span>{{ map.min_players ? map.min_players : '0' }}-{{ map.max_players ? map.max_players : '∞'}}</span>
                            </td>
                            <td class="align-middle">
                                <span v-if="map.player_votable" class="text-success">All Players</span>
                                <span v-else class="text-danger">Admins Only</span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </app-layout>
</template>

<script>
    import AppLayout from '@/Layouts/AppLayout'
    
    export default {
        props: {
            'maps': Array,
            'user': Object,
        },
        
        components: {
            AppLayout,
        },
    }
</script>